Business Data API Errors

 
By calling this endpoint you will receive information about the Business Data API tasks that returned an error within the past 7 days.

For example, if you have set tasks with webhooks (pingbacks and postback), but haven’t received them due to a server error, you can get a list of task IDs using the Business Data API Errors endpoint, and use these IDs to resend webhooks.

Learn more in this help center guide.

Note that if a certain task does not appear on the list, this means the task did not respond with an error or has not been completed yet.

Pricing

Your account will not be charged for using this API

checked POST

All POST data should be sent in JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array.

Description of the fields for sending a request:

Field nameTypeDescription
limitinteger

the maximum number of returned tasks that responded with an error
optional field
default value: 1000
maximum value: 1000

offsetinteger

offset in the results array of returned tasks
optional field
default value: 0
if you specify the 10 value, the first ten tasks in the results array will be omitted and the data will be provided for the successive tasks

filtered_functionstring

return tasks with a certain function
use this field to obtain a list of tasks that returned an error filtered by a certain function
you can filter the results by the values you receive in the function fields of the API response
i.e., once you receive unfiltered results, you can call this API again to filter them by function
example: hotel_searches/task_post, postback_url, pingback_url

datetime_fromstring

start time for filtering results
optional field
allows filtering results by the datetime parameter within the range of the last 7 days;
must be specified in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2021-11-15 12:57:46 +00:00

datetime_tostring

finish time for filtering results
optional field
allows filtering results by the datetime parameter within the range of the last 7 days;
must be specified in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2021-11-15 13:57:46 +00:00

 
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

total execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO, can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataarray

contains the same parameters that you specified in the POST request

    resultarray

array of results

        idstring

id of the task

        datetimestring

date and time when an error occurred
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00

        functionstring

corresponding API function

        error_codeinteger

error code

        error_messagestring

error message or error URL
error message (see full list) or URL that caused an error

        http_urlstring

URL that caused an error
URL you used for making an API call or pingback/postback URL

        http_methodstring

HTTP method

        http_codeinteger

HTTP status code

        http_timefloat

time taken by HTTP request
for tasks set with a pingback/postback, this field will show the time it took your server to respond

        http_responsestring

HTTP response
server response

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/business_data/errors" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
--data-raw '[
    {
        "limit": 10,
        "offset": 0,
        "filtered_function": "pingback_url"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
$post_array = array();
// simple way to get a result
$post_array[] = array(
   "limit" => 10,
   "offset" => 0,
   "filtered_function" => "pingback_url"
);
try {
   // POST /v3/business_data/errors
   // the full list of possible parameters is available in documentation
   $result = $client->post('/v3/business_data/errors', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "limit": 10,
  "offset": 0,
  "filtered_function": "pingback_url"
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/business_data/errors',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip
client = RestClient("login", "password")
post_data = dict()
post_data[len(post_data)] = dict(
    limit=10,
    offset=0,
    filtered_function="pingback_url"
)
# POST /v3/business_data/errors
# the full list of possible parameters is available in documentation
response = client.post("/v3/business_data/errors", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/business_data/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task errors()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // simple way to get a result
            postData.Add(new
            {
             limit = 10,
             offset = 0,
             filtered_function = "pingback_url"
            });
            // POST /v3/business_data/errors
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/business_data/errors", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/business_data/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220321",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1538 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "03211158-0001-0229-1000-435363e71b2e",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0401 sec.",
      "cost": 0,
      "result_count": 4,
      "path": [
        "v3",
        "business_data",
        "errors"
      ],
      "data": {
        "api": "business_data",
        "function": "errors",
        "limit": 10,
        "offset": 0,
        "filtered_function": "pingback_url"
      },
      "result": [
        {
          "id": "03211137-0001-0183-0000-39f10d5940fa",
          "datetime": "2022-03-21 11:38:16 +00:00",
          "function": "pingback_url",
          "error_code": 0,
          "error_message": "https://your-server.com/pingback.php?task_id=03211137-0001-0183-0000-39f10d5940fa&api=business_data&function=task_get",
          "http_url": "https://your-server.com/pingback.php?task_id=03211137-0001-0183-0000-39f10d5940fa&api=business_data&function=task_get",
          "http_method": "GET",
          "http_code": 0,
          "http_time": 10.00585,
          "http_response": "Operation timed out after 10001 milliseconds with 0 bytes received"
        },
        {
          "id": "03211137-0001-0183-0000-ef9decb5fa04",
          "datetime": "2022-03-21 11:37:57 +00:00",
          "function": "pingback_url",
          "error_code": 0,
          "error_message": "https://your-server.com/pingback.php?task_id=03211137-0001-0183-0000-39f10d5940fa&api=business_data&function=task_get",
          "http_url": "https://your-server.com/pingback.php?task_id=03211137-0001-0183-0000-ef9decb5fa04&api=business_data&function=task_get",
          "http_method": "GET",
          "http_code": 0,
          "http_time": 10.00574,
          "http_response": "Operation timed out after 10001 milliseconds with 0 bytes received"
        },
        {
          "id": "03201639-0001-0183-0000-87baacf9229a",
          "datetime": "2022-03-20 16:40:23 +00:00",
          "function": "pingback_url",
          "error_code": 0,
          "error_message": "https://your-server.com/pingback.php?task_id=03201639-0001-0183-0000-87baacf9229a&api=business_data&function=task_get",
          "http_url": "https://your-server.com/pingback.php?task_id=03201639-0001-0183-0000-87baacf9229a&api=business_data&function=task_get",
          "http_method": "GET",
          "http_code": 0,
          "http_time": 10.005972,
          "http_response": "Operation timed out after 10001 milliseconds with 0 bytes received"
        },
        {
          "id": "03201639-0001-0183-0000-3eb962033921",
          "datetime": "2022-03-20 16:40:09 +00:00",
          "function": "pingback_url",
          "error_code": 0,
          "error_message": "https://your-server.com/pingback.php?task_id=03201639-0001-0183-0000-3eb962033921&api=business_data&function=task_get",
          "http_url": "https://your-server.com/pingback.php?task_id=03201639-0001-0183-0000-3eb962033921&api=business_data&function=task_get",
          "http_method": "GET",
          "http_code": 0,
          "http_time": 10.005949,
          "http_response": "Operation timed out after 10001 milliseconds with 0 bytes received"
        }
      ]
    }
  ]
}